<?php
/**
 * Home Accessories Shop functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Home Accessories Shop
 */

if ( ! defined( 'HOME_ACCESSORIES_SHOP_VERSION' ) ) {
	// Replace the version number of the theme on each release.
	define( 'HOME_ACCESSORIES_SHOP_VERSION', wp_get_theme()->get( 'Version' ) );
}

if ( ! function_exists( 'home_accessories_shop_setup' ) ) :
	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 */
	function home_accessories_shop_setup() {

		load_theme_textdomain( 'home-accessories-shop', get_template_directory() . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );

		add_theme_support( 'align-wide' );

		add_theme_support( 'woocommerce' );

		// Add support for block styles.
		add_theme_support( 'wp-block-styles' );

		// Enqueue editor styles.
		add_editor_style( 'style.css' );

		// Add support for core custom logo.
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 192,
				'width'       => 192,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		// Enqueue editor styles.
		// add_editor_style( 'style.css' );

		// Experimental support for adding blocks inside nav menus
		add_theme_support( 'block-nav-menus' );

		// Add support for experimental link color control.
		add_theme_support( 'experimental-link-color' );
	}
endif;
add_action( 'after_setup_theme', 'home_accessories_shop_setup' );

/**
 * Enqueue scripts and styles.
 */
function home_accessories_shop_scripts() {
	wp_enqueue_style('home-accessories-shop-style', get_stylesheet_uri(), array() );
	wp_enqueue_script( 'home-accessories-shop-jquery-wow', esc_url(get_template_directory_uri()) . '/js/wow.js', array('jquery') );
	wp_enqueue_style( 'home-accessories-shop-animate-css', esc_url(get_template_directory_uri()).'/css/animate.css' );
	wp_enqueue_style( 'home-accessories-shop-owl.carousel-style', get_template_directory_uri().'/css/owl.carousel.css' );
	wp_enqueue_script( 'home-accessories-shop-owl.carousel-js', get_template_directory_uri(). '/js/owl.carousel.js', array('jquery') ,'',true);
	wp_enqueue_script( 'home-accessories-shop-custom-scripts', get_template_directory_uri() . '/js/custom.js', array('jquery'),'' ,true );
	wp_style_add_data( 'home-accessories-shop-style', 'rtl', 'replace' );
}
add_action( 'wp_enqueue_scripts', 'home_accessories_shop_scripts' );

/**
 * Enqueue block editor style
 */
function home_accessories_shop_block_editor_styles() {
	wp_enqueue_style( 'home-accessories-shop-block-patterns-style-editor', get_theme_file_uri( '/css/block-editor.css' ), false, '1.0', 'all' );	
}
add_action( 'enqueue_block_editor_assets', 'home_accessories_shop_block_editor_styles' );

function home_accessories_shop_init_setup() {

	define('HOME_ACCESSORIES_SHOP_BUY_NOW',__('https://www.vwthemes.com/products/interior-wordpress-theme','home-accessories-shop'));
	define('HOME_ACCESSORIES_SHOP_SUPPORT',__('https://wordpress.org/support/theme/home-accessories-shop/','home-accessories-shop'));
	define('HOME_ACCESSORIES_SHOP_REVIEW',__('https://wordpress.org/support/theme/home-accessories-shop/reviews/','home-accessories-shop'));
	define('HOME_ACCESSORIES_SHOP_LIVE_DEMO',__('https://www.vwthemes.net/interior-store-pro/','home-accessories-shop'));
	define('HOME_ACCESSORIES_SHOP_PRO_DOC',__('https://preview.vwthemesdemo.com/docs/interior-store-pro/','home-accessories-shop'));
	define('HOME_ACCESSORIES_SHOP_FREE_DOC',__('https://preview.vwthemesdemo.com/docs/free-home-accessories-shop/','home-accessories-shop'));
	define('HOME_ACCESSORIES_SHOP_THEME_BUNDLE_BUY_NOW',__('https://www.vwthemes.com/products/wp-theme-bundle','home-accessories-shop'));
	define('HOME_ACCESSORIES_SHOP_THEME_BUNDLE_DOC',__('https://preview.vwthemesdemo.com/docs/theme-bundle/','home-accessories-shop'));

	// Add block patterns
	require get_template_directory() . '/inc/block-patterns.php';

	/**
	 * Section Pro
	 */
	require get_template_directory() . '/inc/section-pro/customizer.php';

	/**
	 * TGM
	 */
	require_once get_template_directory() . '/inc/tgm/plugin-activation.php';

	/**
	 * notice
	 */
	require get_template_directory() . '/inc/core/activation-notice.php';

	/**
	 * Load core file.
	 */
	require_once get_template_directory() . '/inc/core/theme-info.php';

	require_once get_template_directory() . '/inc/core/template-functions.php';
}
add_action( 'after_setup_theme', 'home_accessories_shop_init_setup' );

/* Enqueue admin-notice-script js */
add_action('admin_enqueue_scripts', function ($hook) {
    //if ($hook !== 'appearance_page_home-accessories-shop') return;

    wp_enqueue_script('admin-notice-script', get_template_directory_uri() . '/inc/core/js/admin-notice-script.js', ['jquery'], null, true);
    wp_localize_script('admin-notice-script', 'pluginInstallerData', [
        'ajaxurl'     => admin_url('admin-ajax.php'),
        'nonce'       => wp_create_nonce('install_plugin_nonce'), // Match this with PHP nonce check
        'redirectUrl' => admin_url('themes.php?page=home-accessories-shop-info'),
    ]);
});

add_action('wp_ajax_check_plugin_activation', function () {
    if (!isset($_POST['plugin']) || empty($_POST['plugin'])) {
        wp_send_json_error(['message' => 'Missing plugin identifier']);
    }

    include_once ABSPATH . 'wp-admin/includes/plugin.php';

    // Map plugin identifiers to their main files
    $home_accessories_shop_plugin_map = [
		'essential-blocks'     => 'essential-blocks/essential-blocks.php',
    	'woocommerce'          => 'woocommerce/woocommerce.php',
        'wishlist'             => 'yith-woocommerce-wishlist/init.php',
        'currency_switcher'    => 'currency-switcher-woocommerce/currency-switcher-woocommerce.php',
        'video_popup'          => 'wpzoom-video-popup-block/wpzoom-video-popup-block.php',
        'gtranslate'           => 'gtranslate/gtranslate.php',
		'ibtana'               => 'ibtana-visual-editor/plugin.php'
    ];

    $home_accessories_shop_requested_plugin = sanitize_text_field($_POST['plugin']);

    if (!isset($home_accessories_shop_plugin_map[$home_accessories_shop_requested_plugin])) {
        wp_send_json_error(['message' => 'Invalid plugin']);
    }

    $home_accessories_shop_plugin_file = $home_accessories_shop_plugin_map[$home_accessories_shop_requested_plugin];
    $home_accessories_shop_is_active   = is_plugin_active($home_accessories_shop_plugin_file);

    wp_send_json_success(['active' => $home_accessories_shop_is_active]);
});
add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

add_action( 'admin_init', function() {
    update_option( 'essential_blocks_quick_setup_shown', true );
    update_option( 'essential_blocks_user_type', 'old' );
    remove_submenu_page( 'admin.php', 'eb-quick-setup' );
});

function home_accessories_shop_dismissed_notice() {
		update_option( 'home_accessories_shop_admin_notice', true );
    wp_die();
}
add_action( 'wp_ajax_home_accessories_shop_dismissed_notice', 'home_accessories_shop_dismissed_notice' );